Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class MimeType

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.MarkupElement
                  |
                  +--weblogic.html.MimeType

public class MimeType
extends MarkupElement
implements weblogic.servlet.MimeTypes

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static MimeType` | `appDcarft` Sets the type to "application/dca-rft".
`static MimeType` | `appMacbinhex40` Sets the type to "application/mac-binhex40".
`static MimeType` | `appMsword` Sets the type to "application/msword".
`static MimeType` | `appPdf` Sets the type to "application/pdf".
`static MimeType` | `appPostscript` Sets the type to "application/postscript".
`static MimeType` | `appRtf` Sets the type to "application/rtf".
`static MimeType` | `appSgml` Sets the type to "application/sgml".
`static MimeType` | `appZip` Sets the type to "application/zip".
`static MimeType` | `audio32kadpcm` Sets the type to "audio/32kadpcm".
`static MimeType` | `audioBasic` Sets the type to "audio/basic".
`static MimeType` | `imageCgm` Sets the type to "image/cgm".
`static MimeType` | `imageGif` Sets the type to "image/gif".
`static MimeType` | `imageIef` Sets the type to "image/ief".
`static MimeType` | `imageJpeg` Sets the type to "image/jpeg".
`static MimeType` | `imageTiff` Sets the type to "image/tiff".
`static MimeType` | `modelIges` Sets the type to "model/iges".
`static MimeType` | `modelMesh` Sets the type to "model/mesh".
`static MimeType` | `modelVrml` Sets the type to "model/vrml".
`static MimeType` | `multiEncrypted` Sets the type to "multipart/encrypted".
`static MimeType` | `multiFormdata` Sets the type to "multipart/form-data".
`static MimeType` | `multiMixed` Sets the type to "multipart/mixed".
`static MimeType` | `multiRelated` Sets the type to "multipart/related".
`static MimeType` | `multiSigned` Sets the type to "multipart/signed".
`static MimeType` | `textCss` Sets the type to "text/css".
`static MimeType` | `textHtml` Sets the type to "text/enriched".
`static MimeType` | `textPlain` Sets the type to "text/plain".
`static MimeType` | `textRichtext` Sets the type to "text/richtext".
`static MimeType` | `textVbscript` Sets the type to "text/vbscript".
`static MimeType` | `videoMpeg` Sets the type to "video/mpeg".
`static MimeType` | `videoQuicktime` Sets the type to "video/quicktime".

Fields inherited from class weblogic.html.MarkupElement
`BeginAddress, BeginAddressStr, BeginBlockquote, BeginBlockquoteStr, BeginBody, BeginBodyStr, BeginBold, BeginBoldStr, BeginCenter, BeginCenterStr, BeginComment, BeginCommentStr, BeginDiv, BeginDivStr, BeginHeadStr, BeginHtml, BeginHtmlStr, BeginItalic, BeginItalicStr, BeginLiteral, BeginLiteralStr, BeginParagraph, BeginParagraphStr, BeginScriptStr, BeginTitle, BeginTitleStr, Break, BreakStr, contents, CR, CRStr, EndAddress, EndAddressStr, EndBlockquote, EndBlockquoteStr, EndBody, EndBodyStr, EndBold, EndBoldStr, EndCenter, EndCenterStr, EndComment, EndCommentStr, EndDiv, EndDivStr, EndFont, EndFontStr, EndHeadStr, EndHtml, EndHtmlStr, EndItalic, EndItalicStr, EndLiteral, EndLiteralStr, EndParagraph, EndParagraphStr, EndScriptStr, EndTitle, EndTitleStr, HorizontalLine, HorizontalLineStr, HorizontalRule, NoBreak, NoBreakStr, WordBreak, WordBreakStr`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`MimeType(java.lang.String type)`

Methods inherited from class weblogic.html.MarkupElement
`BeginFont, BeginFontFace, BeginFontSize, BeginHeader, EndHeader, output, output, output, setContents`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString, widthAsLiteral`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### textCss

    public static MimeType textCss

  Sets the type to "text/css".

### textVbscript

    public static MimeType textVbscript

  Sets the type to "text/vbscript".

### textPlain

    public static MimeType textPlain

  Sets the type to "text/plain".

### textRichtext

    public static MimeType textRichtext

  Sets the type to "text/richtext".

### textHtml

    public static MimeType textHtml

  Sets the type to "text/enriched".

### multiMixed

    public static MimeType multiMixed

  Sets the type to "multipart/mixed".

### multiFormdata

    public static MimeType multiFormdata

  Sets the type to "multipart/form-data".

### multiRelated

    public static MimeType multiRelated

  Sets the type to "multipart/related".

### multiSigned

    public static MimeType multiSigned

  Sets the type to "multipart/signed".

### multiEncrypted

    public static MimeType multiEncrypted

  Sets the type to "multipart/encrypted".

### appPostscript

    public static MimeType appPostscript

  Sets the type to "application/postscript".

### appDcarft

    public static MimeType appDcarft

  Sets the type to "application/dca-rft".

### appRtf

    public static MimeType appRtf

  Sets the type to "application/rtf".

### appMacbinhex40

    public static MimeType appMacbinhex40

  Sets the type to "application/mac-binhex40".

### appPdf

    public static MimeType appPdf

  Sets the type to "application/pdf".

### appZip

    public static MimeType appZip

  Sets the type to "application/zip".

### appMsword

    public static MimeType appMsword

  Sets the type to "application/msword".

### appSgml

    public static MimeType appSgml

  Sets the type to "application/sgml".

### imageJpeg

    public static MimeType imageJpeg

  Sets the type to "image/jpeg".

### imageGif

    public static MimeType imageGif

  Sets the type to "image/gif".

### imageIef

    public static MimeType imageIef

  Sets the type to "image/ief".

### imageTiff

    public static MimeType imageTiff

  Sets the type to "image/tiff".

### imageCgm

    public static MimeType imageCgm

  Sets the type to "image/cgm".

### audioBasic

    public static MimeType audioBasic

  Sets the type to "audio/basic".

### audio32kadpcm

    public static MimeType audio32kadpcm

  Sets the type to "audio/32kadpcm".

### videoMpeg

    public static MimeType videoMpeg

  Sets the type to "video/mpeg".

### videoQuicktime

    public static MimeType videoQuicktime

  Sets the type to "video/quicktime".

### modelIges

    public static MimeType modelIges

  Sets the type to "model/iges".

### modelVrml

    public static MimeType modelVrml

  Sets the type to "model/vrml".

### modelMesh

    public static MimeType modelMesh

  Sets the type to "model/mesh".

Constructor Detail

### MimeType

    public MimeType(java.lang.String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD